Bug 9720 - samba-tool classicupgrade patch to not print incorrect admin passwords
samba-tool classicupgrade patch to not print incorrect admin passwords
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-14 08:50 UTC by Andrew Bartlett
Modified: 2013-04-07 19:43 UTC (History)
1 user (show)

See Also:


Attachments
patches cherry-picked from master (2.18 KB, patch)
2013-03-14 08:50 UTC, Andrew Bartlett
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2013-03-14 08:50:17 UTC
Created attachment 8643 [details]
patches cherry-picked from master

The password printed here is not really the password, we set it back to the password for administrator or root from the upgraded db.
Comment 1 Stefan Metzmacher 2013-04-02 06:43:11 UTC
Comment on attachment 8643 [details]
patches cherry-picked from master

Looks good
Comment 2 Karolin Seeger 2013-04-02 19:25:41 UTC
Pushed to autobuild-v4-0-test.
Comment 3 Karolin Seeger 2013-04-07 19:43:05 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!